<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Warehouse extends Model 
{

    protected $table = 'warehouses';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function city()
    {
        return $this->belongsTo('City');
    }

    public function products()
    {
        return $this->hasMany('Product');
    }

    public function address()
    {
        return $this->hasMany('WarehousesAdderss');
    }

}